#[derive(Debug, Eq, PartialEq, Copy, Clone, Hash)]
pub struct Difficulty {
    pub value: u32,
    pub starting_gems: u32,
    pub starting_whips: u32,
    pub starting_teleports: u32,
    pub starting_keys: u32,
    pub starting_whip_power: u32,
}

pub const SECRET: Difficulty = Difficulty {
    value: 9,
    starting_gems: 250,
    starting_whips: 100,
    starting_teleports: 50,
    starting_keys: 1,
    starting_whip_power: 3,
};

pub const NOVICE: Difficulty = Difficulty {
    value: 8,
    starting_gems: 20,
    starting_whips: 10,
    starting_teleports: 0,
    starting_keys: 0,
    starting_whip_power: 0,
};

pub const EXPERIENCED: Difficulty = Difficulty {
    value: 5,
    starting_gems: 15,
    starting_whips: 0,
    starting_teleports: 0,
    starting_keys: 0,
    starting_whip_power: 0,
};

pub const ADVANCED: Difficulty = Difficulty {
    value: 2,
    starting_gems: 10,
    starting_whips: 0,
    starting_teleports: 0,
    starting_keys: 0,
    starting_whip_power: 0,
};
